#
# spec file for package busybox (Version 1.20.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           busybox
BuildRequires:  dietlibc
Url:            http://www.busybox.net/
Version:        1.22.1
Release:        3.280
Summary:        The Swiss Army Knife of Embedded Linux
License:        GPL v2 or later
Group:          System/Base
AutoReqProv:    on
Source:         http://busybox.net/downloads/%{name}-%{version}.tar.bz2
Source2:        %{name}.SuSE.config
Patch100:       %{name}-%{version}-install.patch
Patch101:	%{name}-%{version}-udhcp-services.patch

Patch201:	%{name}-%{version}-ash.patch
Patch202:	%{name}-%{version}-date.patch
Patch203:	%{name}-%{version}-iplink.patch
Patch204:	%{name}-%{version}-nc.patch
Patch205:	%{name}-%{version}-lzop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
BusyBox combines tiny versions of many common UNIX utilities into a
small single executable. It provides minimalist replacements for most
of the utilities usually found in fileutils, shellutils, findutils,
textutils, grep, gzip, tar, and more. BusyBox provides a fairly
complete POSIX environment for any small or embedded system. The
utilities in BusyBox generally have fewer options than their
full-featured GNU cousins. The options that are included provide the
expected functionality and behave very much like their GNU
counterparts.



Authors:
--------
    Erik B. Andersen <andersee@debian.org>

%prep
%setup -q -n %{name}-%{version}
%patch100 -p1
%patch101
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1

%build
cp -avL %{S:2} .config
find -name CVS | xargs rm -rf
find -name .svn | xargs rm -rf
export VERBOSE=-v
export BUILD_VERBOSE=2
make -e oldconfig
make -e %{?jobs:-j%jobs}
make -e doc busybox.links %{?jobs:-j%jobs}

%install
find -name ".cvsignore" -exec rm {} \;
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share/busybox
install busybox.links $RPM_BUILD_ROOT/usr/share/busybox
install applets/install.sh $RPM_BUILD_ROOT/usr/bin/busybox.install
install busybox $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT%_mandir/man1
#install -m 644 docs/BusyBox.1 $RPM_BUILD_ROOT%_mandir/man1

%files
%defattr(-,root,root)
%doc docs/mdev.txt
#%doc %{_mandir}/man1/BusyBox.1.gz
/usr/bin/busybox
/usr/bin/busybox.install
%dir /usr/share/busybox
%config /usr/share/busybox/busybox.links

%changelog
* Sun Oct 19 2014 cs@linux-administrator.com
- added release patch busybox-1.22.1-lzop.patch
* Fri Aug 29 2014 cs@linux-administrator.com
- added release patch busybox-1.22.1-nc.patch
* Sun Feb 23 2014 cs@linux-administrator.com
- update to release 1.22.1
- add release patches for 1.22.1
* Sun Oct 27 2013 cs@linux-administrator.com
- update to release 1.21.1
* Sun May 12 2013 cs@linux-administrator.com
- update release patches for 1.21.0
* Sun Feb 17 2013 cs@linux-administrator.com
- update to release 1.21.0
* Sun Dec 23 2012 cs@linux-administrator.com
- update release patches for 1.20.2
* Sun Jun  3 2012 cs@linux-administrator.com
- update to release 1.20.1
* Thu Mar 22 2012 cs@linux-administrator.com
- update to release 1.19.4
* Sun Nov 20 2011 cs@linux-administrator.com
- update to release 1.19.3
* Fri Aug 19 2011 cs@linux-administrator.com
- update to release 1.19.0
* Sat Jul 30 2011 cs@linux-administrator.com
- update to release 1.18.5
* Sun Apr 17 2011 cs@linux-administrator.com
- update to release 1.18.4
